Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2869893002: Warn web developer on missing favicon for PaymentRequest UI. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 3 weeks ago by rouslan
Modified:
1 month, 1 week ago
CC:
Aaron Boodman, abarth-chromium, agrieve+watch_chromium.org, blink-reviews, chromium-reviews, darin (slow to review), gogerald+paymentswatch_chromium.org, haraken, mahmadi+paymentswatch_chromium.org, qsr+mojo_chromium.org, rouslan+payments_chromium.org, sebsg+paymentswatch_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Warn web developer on missing favicon for PaymentRequest UI. Before this patch, a missing favicon would result in a blank space on PaymentRequest UI on Android and no indication to the web developer that something went wrong. This patch adds a Mojo method PaymentRequestClient.WarnNoFavicon(), which is invoked by the browser and implemented in the renderer. The browser invokes the method when it finds no favicon and thus leaves a blank space on UI. The renderer implementation prints a warning in DevTools: "Favicon not found for PaymentRequest UI. User may not recognize the website." After this patch, a missing favicon on a page that's using PaymentRequest on Android results in a DevTools warning for the web developer. BUG=710002 Review-Url: https://codereview.chromium.org/2869893002 Cr-Commit-Position: refs/heads/master@{#472954} Committed: https://chromium.googlesource.com/chromium/src/+/4b040be30ba61d2589511f2225a99d1dafeb46da

Patch Set 1 #

Total comments: 2

Patch Set 2 : Ganggui's comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -0 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java View 1 1 chunk +1 line, -0 lines 0 comments Download
M components/payments/mojom/payment_request.mojom View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.cpp View 1 chunk +7 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   linux_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_android_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   android_cronet   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 42 (25 generated)
rouslan
Marijn, ptal WebKit. Ganggui, ptal Java. Chris, ptal mojom. Matt, ptal the warning message phrasing.
1 month, 3 weeks ago (2017-05-08 18:33:07 UTC) #3
palmer
lgtm
1 month, 3 weeks ago (2017-05-08 18:34:37 UTC) #5
gogerald1
lgtm w/o comment, https://codereview.chromium.org/2869893002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java File chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java (right): https://codereview.chromium.org/2869893002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java#newcode530 chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java:530: if (bitmap == null) mClient.warnNoFavicon(); if(bitmap ...
1 month, 3 weeks ago (2017-05-08 22:13:57 UTC) #9
rouslan
https://codereview.chromium.org/2869893002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java File chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java (right): https://codereview.chromium.org/2869893002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java#newcode530 chrome/android/java/src/org/chromium/chrome/browser/payments/PaymentRequestImpl.java:530: if (bitmap == null) mClient.warnNoFavicon(); On 2017/05/08 22:13:56, gogerald1 ...
1 month, 2 weeks ago (2017-05-09 15:23:05 UTC) #10
Marijn Kruisselbrink
lgtm
1 month, 1 week ago (2017-05-16 18:37:28 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-17 13:04:07 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/457277)
1 month, 1 week ago (2017-05-17 14:49:04 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-17 14:52:01 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/457402)
1 month, 1 week ago (2017-05-17 16:20:43 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-17 16:40:27 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/457668)
1 month, 1 week ago (2017-05-17 18:47:32 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-17 19:42:33 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/457966)
1 month, 1 week ago (2017-05-17 21:42:34 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-18 14:04:16 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430576)
1 month, 1 week ago (2017-05-18 16:03:57 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2869893002/20001
1 month, 1 week ago (2017-05-18 17:48:09 UTC) #39
commit-bot: I haz the power
1 month, 1 week ago (2017-05-18 22:38:04 UTC) #42
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/4b040be30ba61d2589511f2225a9...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589